X2Go Bug report logs - #19
Windows version of PyHoca-GUI: test with MS terminal server as client

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Tue, 11 Sep 2012 07:48:02 UTC

Severity: normal

Tags: pending

Found in version 0.2.0.5

Fixed in version 0.5.0.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
bug#19; Package pyhoca-gui. (Tue, 11 Sep 2012 07:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>.

Your message specified a Severity: in the pseudo-header, but the severity value minor was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, normal, minor, wishlist.

(Tue, 11 Sep 2012 07:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Windows version of PyHoca-GUI: test with MS terminal server as client
Date: Tue, 11 Sep 2012 09:38:58 +0200
[Message part 1 (text/plain, inline)]
Package: pyhoca-gui
Version: 0.2.0.5
Severity: minor

PyHoca-GUI (i.e. python-x2go) may not be working in certain cases on  
MS Windows terminal servers (being used as X2Go client system).  
Testing is needed here...

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#19; Package pyhoca-gui. (Fri, 21 Sep 2012 21:18:06 GMT) (full text, mbox, link).


Acknowledgement sent to <jameswille@capitalmanagementlenders.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 21 Sep 2012 21:18:06 GMT) (full text, mbox, link).


Message #10 received at 19@bugs.x2go.org (full text, mbox, reply):

From: "Willeford, James"<jameswille@capital.com>
Subject: Waiting to hear from you
Date: Fri, 21 Sep 2012 11:09:00 -0500

Hi,


I hope this e-mail message finds you in good health and please pardon my letter of intent if it did intrude on your privacy. Your contact is based on directive from a private client Mr. John Tsang Chun-wah, based in Hong Kong who intends to invest in your Country. Your high profile position has attracted him and suits his demand. He needs someone with vast experience and capability to handle a good investment portfolio. Figures will be discussed with you as we proceed.


My client seeks to invest in public and private securities in a broad range of areas including real estate, energy, oil and gas, emerging markets and high-technology. Within the technology sector, he focuses on communications, software and digital content and services.


Following the present financial meltdown and weak economic situation in Europe, my client wouldn't want to lose his entire investments in Europe; he wishes to move them to your Country of residence with you as the investment manager. This involves bonds with HypoVereins (UniCredit) Group and La Caixa Bank of Spain.


If this is of interest; kindly provide me with your direct telephone and fax number to ease communication.


Regards,

 

James Willeford
President.
Capital Management Lenders

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#19; Package pyhoca-gui. (Tue, 15 Apr 2014 19:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 15 Apr 2014 19:15:02 GMT) (full text, mbox, link).


Message #15 received at 19@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 19-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 19@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Tue, 15 Apr 2014 21:10:46 +0200 (CEST)
tag #19 pending
fixed #19 0.5.0.0
thanks

Hello,

X2Go issue #19 (src:pyhoca-gui) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=4387ad8

The issue will most likely be fixed in src:pyhoca-gui (0.5.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 4387ad81205fdc9b67d7498d7b6aa7ea77829264
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Apr 15 21:02:15 2014 +0200

    Make check_running() test terminal server / multi-session safe. (Fixes: #19).

diff --git a/debian/changelog b/debian/changelog
index 0719443..67836c4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -40,6 +40,7 @@ pyhoca-gui (0.5.0.0-0x2go1) UNRELEASED; urgency=low
       provided: username, if no URL provided: broker-URL field).
     - Fix check_running() method in PyHocaGUI_Launcher on MS Windows.
     - Make broker support available for the MS Windows build of PyHoca-GUI.
+    - Make check_running() test terminal server / multi-session safe. (Fixes: #19).
     - Update English / German translation.
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 08 Jan 2014 21:28:37 +0100


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 15 Apr 2014 19:15:02 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.0.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 15 Apr 2014 19:15:02 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#19. (Tue, 15 Apr 2014 19:15:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#19; Package pyhoca-gui. (Fri, 17 Oct 2014 08:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Oct 2014 08:50:02 GMT) (full text, mbox, link).


Message #27 received at 19@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 19-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 19@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Fri, 17 Oct 2014 10:47:10 +0200 (CEST)
tag #19 pending
fixed #19 0.5.0.0
thanks

Hello,

X2Go issue #19 (src:pyhoca-gui) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=8ecd256

The issue will most likely be fixed in src:pyhoca-gui (0.5.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 8ecd25657ebfbb0d87fce2e6cddd9875f8be8dc2
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Oct 17 09:35:14 2014 +0200

    Translation status:
    
    * Translation status:
      + UNTRANSLATED - bg: 0 translated messages, 398 untranslated messages.
      + INCOMPLETE - da: 350 translated messages, 28 fuzzy translations, 20 untranslated
        messages.
      + OK - de: 398 translated messages.
      + OK - en: 398 translated messages.
      + OK - es: 398 translated messages.
      + INCOMPLETE - et: 366 translated messages, 32 untranslated messages.
      + UNTRANSLATED - fr: 0 translated messages, 398 untranslated messages.
      + BROKEN - fi: 0 translated messages, 188 fuzzy translations, 210 untranslated messages.
      + OK - nb_NO: 398 translated messages.
      + OK - nl: 398 translated messages.
      + INCOMPLETE - ru: 351 translated messages, 28 fuzzy translations, 19 untranslated
        messages.
      + OK - sv: 398 translated messages.
      - Rebuild i18n files prior to release.

diff --git a/debian/changelog b/debian/changelog
index c16d387..2f55c1b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -127,6 +127,22 @@ pyhoca-gui (0.5.0.0-0x2go1) UNRELEASED; urgency=low
   * New upstream version (0.5.0.0):
     - Update Bokmal (Norway) translation file.
 
+  * Translation status:
+    + UNTRANSLATED - bg: 0 translated messages, 398 untranslated messages.
+    + INCOMPLETE - da: 350 translated messages, 28 fuzzy translations, 20 untranslated
+      messages.
+    + OK - de: 398 translated messages.
+    + OK - en: 398 translated messages.
+    + OK - es: 398 translated messages.
+    + INCOMPLETE - et: 366 translated messages, 32 untranslated messages.
+    + UNTRANSLATED - fr: 0 translated messages, 398 untranslated messages.
+    + BROKEN - fi: 0 translated messages, 188 fuzzy translations, 210 untranslated messages.
+    + OK - nb_NO: 398 translated messages.
+    + OK - nl: 398 translated messages.
+    + INCOMPLETE - ru: 351 translated messages, 28 fuzzy translations, 19 untranslated
+      messages.
+    + OK - sv: 398 translated messages.
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 08 Jan 2014 21:28:37 +0100
 
 pyhoca-gui (0.4.0.10-0x2go1) UNRELEASED; urgency=low
@@ -443,6 +459,7 @@ pyhoca-gui (0.2.1.0-0~x2go1) unstable; urgency=low
       all menu items that relate to this session profile. Re-enable the menu
       items again, once the corresponding profile manager window has been
       closed.
+    - Rebuild i18n files prior to release.
   * /debian/control:
     + Maintainer change in package: X2Go Developers
       <x2go-dev@lists.berlios.de>.


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#19. (Fri, 17 Oct 2014 08:50:04 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#19. (Mon, 20 Oct 2014 10:55:26 GMT) (full text, mbox, link).


Message #33 received at 19-submitter@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 19-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 19@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as closed
Date: Mon, 20 Oct 2014 12:54:42 +0200 (CEST)
close #19
thanks

Hello,

we are very hopeful that X2Go issue #19 reported by you
has been resolved in the new release (0.5.0.0) of the
X2Go source project »src:pyhoca-gui«.

You can view the complete changelog entry of src:pyhoca-gui (0.5.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-gui.

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=457c1eff6ca84f56fe911851e5cb2cc66a9b6f75;hp=954e9b1019724590c343ccb95a33d3d83da9614e

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-gui.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-gui
Version: 0.5.0.0-0x2go1
Status: RELEASE
Date: Mon, 20 Oct 2014 12:51:05 +0200
Fixes: 19 394 460 507 533 534 548
Changes: 
 pyhoca-gui (0.5.0.0-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (0.5.0.0):
     - (Now really) Support Python wxWidgets 3.0.
     - Add X2Go Session Broker support.
     - Adapt to new backend concept found in Python X2Go (>= 0.5.0.0).
     - Move most code of the pyhoca-gui executable into a dedicated class
       named PyHocaGUI_Launcher.
     - Allow automatic image branding (splash, about image, tray icon) by
       setting another application name than the default.
     - Rename icon files to match default application name (PyHoca-GUI).
     - Make default cmdline option parameters overridable before the
       arg parser gets initialized.
     - Make SCRIPT_NAME in setup.py configurable (monkey-patchable).
     - Make setup.py importable, only run setup() function on direct calls.
     - Don't refer to py2exe anymore in nsis_template's naming scheme.
     - Provide separate mswin_logging module.
     - Install more modules into setup.exe: hmac (for ecdsa).
     - NSIS script: empty installation destination before installing new files
       into $INSTDIR.
     - Allow appname based mini icons on About... windows.
     - Make the hover text of the tray icon brandable (drop hard-coded
       PyHoca-GUI application name).
     - NSIS script: make sure SetOutPath gets called at the beginning of
       every section.
     - Show printing preferences when tray icon is in restricted mode.
     - Session profile manager: the host parameter will be of type ListType
       for future versions of Python X2Go (>= 0.5.0.0).
     - Focus the user name field on logon if no user name is stored in the
       session profile.
     - Re-order cmdline sections (man page, defaults.py).
     - Optimize menu rendering. Reduce accessing session profile data as best
       as is possible.
     - Provide cmdline option --broker-cacertfile. Enable https:// connections
       with SSL certificates that have been self-signed against a non-public
       root-CA certificate file.
     - Handle "Connection refused" errors during broker login attempts.
     - Gracefully handle "Connection refused" errors after a broker login has
       already been successful.
     - Properly set focus in broker logon window (default: password, if no
       username
       provided: username, if no URL provided: broker-URL field).
     - Fix check_running() method in PyHocaGUI_Launcher on MS Windows.
     - Make broker support available for the MS Windows build of PyHoca-GUI.
     - Make check_running() test terminal server / multi-session safe.
       (Fixes: #19).
     - Windows PyHoca-GUI.log file: create with PID in file name. On log file
       creation try removing all old log files that are not still open.
     - Create Windows log file folder before attempting clean up (old log file
       removal).
     - Make sure new session profiles are mutable in the session profile manager
       GUI.
     - Gray-out Apply button in session profile GUI on profile creation.
     - Windows builder: Explicitly add the requests module to the set of
       bundled Python modules.
     - In session profile manager GUI: handle multiple clicks on the Apply button
       gracefully.
     - Notification about multiply started PyHoca-GUI instances. Don't hard code the
       application name.
     - Fix path name detection for default icons. (Fixes: #394).
     - Update English / German translation.
     - Add subsystem string support for HOOK_forward_tunnel_setup_failed hook.
     - Improve NX performance by reducing reactivity of wx widgets.
     - Grey-out all SSH related options for DirectRDP sessions.
     - Make the clipboard mode configurable through the session profile manager
       window. (Fixes: #507).
     - Make the published applications menu tree more robust against unknown
       icon image types.
     - Prepare for running against wxPython 3.0. More testing needed. (Fixes:
       #534).
     - Rename LICENSE.txt to COPYING.
     - Add Keywords= field to pyhoca-gui.desktop file.
     - Don't flood PyHocaGUI._eventid_(uns)hared_folders_map dict with
       non-valid-anymore event IDs.
     - pyhoca-gui.desktop: Set Categories: to Network;RemoteAccess;.
     - setup.py: Install .mo files into DESTDIR.
     - brokerlogin.py: Fix parameter error when evoking message box.
     - More reliably handle errors in a given --broker-url option value.
   * debian/control:
     + Add D (bin:package pyhoca-gui): python-cups. (Fixes: #460).
   * pyhoca-gui.spec:
     + Adapt to building on openSUSE/SLES.
     + openSUSE has python-notify whereas Fedora/RHEL has notify-python.
     + openSUSE (at least >= 12.3) has wxPython 2.9. So let's use it. (On openSUSE
       13.1, pyhoca-gui segfaults with wxPython 2.8).
     + Try to build the .po -> .mo files during package build.
     + Install locale files into bin:package.
     + No extra BR on gettext, intltool will pull it in anyway.
 .
   [ Mike DePaulo ]
   * New upstream version (0.5.0.0):
     - Windows: Set the pyhoca-gui icon on pyhoca-gui.exe (Fixes: #548)
       The icon will show up in Task Manager too.
     - Windows: Upgrade PulseAudio from 1.1 to 5.0-rev18 from OBS.
       Fixes choppy sound in Adobe Flash Player (Fixes: #533)
     - Windows: Upgrade from VcXsrv 1.14.2.0 to VcXsrv-xp 1.14.3.2
       Windows: Update nxproxy from 3.5.0.12 to 3.5.0.27
       (linked against latest cygwin packages as of 2014-06-09)
     - Windows: Update Python from an earlier version of 2.7.x to 2.7.8
     - Windows: Update wxPython from 2.9.x to 3.0.0.0
     - Windows: Updates/Upgrades to other libraries also
     - Windows: List as "PyHoca-GUI (A graphical X2Go client)"
       instead of "PyHoca-GUI" in add/remove programs
     - Windows: Use Unicode NSIS instead of regular NSIS.
       See x2goclient bug #528 for reasoning.
     - Windows: Reduce size of NSIS installer by switching to lzma solid compression
     - Windows: Numerous other improvements to NSIS installer.
       For example, in add/remove programs, add version string, icon, size, etc.
 .
   [ Daniel Lindgren ]
   * New upstream version (0.5.0.0):
     - Update Swedish translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (0.5.0.0):
     - Update Spanish translation file (2x).
 .
   [ Martti Pitkänen ]
   * New upstream version (0.5.0.0):
     - Add Finnish translation file.
 .
   [ Jos Wolfram ]
   * New upstream version (0.5.0.0):
     - Update Dutch translation file.
 .
   [ Robert Parts ]
   * New upstream version (0.5.0.0):
     - Add Estonian translation file.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (0.5.0.0):
     - Update Bokmal (Norway) translation file.
 .
   * Translation status:
     + UNTRANSLATED - bg: 0 translated messages, 398 untranslated messages.
     + INCOMPLETE - da: 350 translated messages, 28 fuzzy translations, 20 untranslated
       messages.
     + OK - de: 398 translated messages.
     + OK - en: 398 translated messages.
     + OK - es: 398 translated messages.
     + INCOMPLETE - et: 366 translated messages, 32 untranslated messages.
     + UNTRANSLATED - fr: 0 translated messages, 398 untranslated messages.
     + BROKEN - fi: 0 translated messages, 188 fuzzy translations, 210 untranslated messages.
     + OK - nb_NO: 398 translated messages.
     + OK - nl: 398 translated messages.
     + INCOMPLETE - ru: 351 translated messages, 28 fuzzy translations, 19 untranslated
       messages.
     + OK - sv: 398 translated messages.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#19; Package pyhoca-gui. (Mon, 20 Oct 2014 11:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 20 Oct 2014 11:00:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 20 Oct 2014 11:00:09 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Mon, 20 Oct 2014 11:00:09 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 18 Nov 2014 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 13 00:09:39 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.